Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZTemplateArithmeticOperator Class Reference

The class eZTemplateArithmeticOperator does. More...

## Public Member Functions
| __construct ()
| operatorList ()
| operatorTemplateHints ()
| basicTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| minMaxTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| modTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| roundTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| decIncTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| castTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| randTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| romanTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| namedParameterPerOperator ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators
| $SumName
| $SubName
| $IncName
| $DecName
| $DivName
| $ModName
| $MulName
| $MaxName
| $MinName
| $AbsName
| $CeilName
| $FloorName
| $RoundName
| $IntName
| $FloatName
| $CountName
| $RomanName
| $RandName

## Private Member Functions
| numericalValue ( $mixedValue)
| buildRoman ( $value)

## Detailed Description

The class eZTemplateArithmeticOperator does.

sum sub inc dec

div mod mul

max min

abs ceil floor round

int float

count

Definition at line 39 of file eztemplatearithmeticoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateArithmeticOperator::__construct | ( |  | ) |

Definition at line 41 of file eztemplatearithmeticoperator.php.

## Member Function Documentation

## ◆ basicTransformation()

eZTemplateArithmeticOperator::basicTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 201 of file eztemplatearithmeticoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ buildRoman()

eZTemplateArithmeticOperator::buildRoman | ( |  | $value | ) |
| private

Recursive function for calculating roman numeral from integer

Parameters

  integer | value

Returns
  next chars for for current value

Definition at line 827 of file eztemplatearithmeticoperator.php.

Referenced by modify(), and romanTransformation().

## ◆ castTransformation()

eZTemplateArithmeticOperator::castTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 459 of file eztemplatearithmeticoperator.php.

References $IntName, eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ decIncTransformation()

eZTemplateArithmeticOperator::decIncTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 435 of file eztemplatearithmeticoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ minMaxTransformation()

eZTemplateArithmeticOperator::minMaxTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 338 of file eztemplatearithmeticoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ modify()

eZTemplateArithmeticOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Examines the input value and outputs a boolean value. See class documentation for more information.

Definition at line 577 of file eztemplatearithmeticoperator.php.

References buildRoman().

## ◆ modTransformation()

eZTemplateArithmeticOperator::modTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 388 of file eztemplatearithmeticoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ namedParameterList()

eZTemplateArithmeticOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList

Definition at line 538 of file eztemplatearithmeticoperator.php.

## ◆ namedParameterPerOperator()

eZTemplateArithmeticOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 530 of file eztemplatearithmeticoperator.php.

## ◆ numericalValue()

eZTemplateArithmeticOperator::numericalValue | ( |  | $mixedValue | ) |
| private

\obsolete This function adds too much complexity, don't use it anymore

Definition at line 555 of file eztemplatearithmeticoperator.php.

## ◆ operatorList()

eZTemplateArithmeticOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 62 of file eztemplatearithmeticoperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateArithmeticOperator::operatorTemplateHints | ( |  | ) |

Definition at line 67 of file eztemplatearithmeticoperator.php.

## ◆ randTransformation()

eZTemplateArithmeticOperator::randTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 481 of file eztemplatearithmeticoperator.php.

References eZTemplateNodeTool\createCodePieceElement().

## ◆ romanTransformation()

eZTemplateArithmeticOperator::romanTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 508 of file eztemplatearithmeticoperator.php.

References buildRoman(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ roundTransformation()

eZTemplateArithmeticOperator::roundTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 411 of file eztemplatearithmeticoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## Member Data Documentation

## ◆ $AbsName

eZTemplateArithmeticOperator::$AbsName

Definition at line 889 of file eztemplatearithmeticoperator.php.

## ◆ $CeilName

eZTemplateArithmeticOperator::$CeilName

Definition at line 890 of file eztemplatearithmeticoperator.php.

## ◆ $CountName

eZTemplateArithmeticOperator::$CountName

Definition at line 897 of file eztemplatearithmeticoperator.php.

## ◆ $DecName

eZTemplateArithmeticOperator::$DecName

Definition at line 880 of file eztemplatearithmeticoperator.php.

## ◆ $DivName

eZTemplateArithmeticOperator::$DivName

Definition at line 882 of file eztemplatearithmeticoperator.php.

## ◆ $FloatName

eZTemplateArithmeticOperator::$FloatName

Definition at line 895 of file eztemplatearithmeticoperator.php.

## ◆ $FloorName

eZTemplateArithmeticOperator::$FloorName

Definition at line 891 of file eztemplatearithmeticoperator.php.

## ◆ $IncName

eZTemplateArithmeticOperator::$IncName

Definition at line 879 of file eztemplatearithmeticoperator.php.

## ◆ $IntName

eZTemplateArithmeticOperator::$IntName

Definition at line 894 of file eztemplatearithmeticoperator.php.

Referenced by castTransformation().

## ◆ $MaxName

eZTemplateArithmeticOperator::$MaxName

Definition at line 886 of file eztemplatearithmeticoperator.php.

## ◆ $MinName

eZTemplateArithmeticOperator::$MinName

Definition at line 887 of file eztemplatearithmeticoperator.php.

## ◆ $ModName

eZTemplateArithmeticOperator::$ModName

Definition at line 883 of file eztemplatearithmeticoperator.php.

## ◆ $MulName

eZTemplateArithmeticOperator::$MulName

Definition at line 884 of file eztemplatearithmeticoperator.php.

## ◆ $Operators

eZTemplateArithmeticOperator::$Operators

Definition at line 876 of file eztemplatearithmeticoperator.php.

Referenced by operatorList().

## ◆ $RandName

eZTemplateArithmeticOperator::$RandName

Definition at line 901 of file eztemplatearithmeticoperator.php.

## ◆ $RomanName

eZTemplateArithmeticOperator::$RomanName

Definition at line 899 of file eztemplatearithmeticoperator.php.

## ◆ $RoundName

eZTemplateArithmeticOperator::$RoundName

Definition at line 892 of file eztemplatearithmeticoperator.php.

## ◆ $SubName

eZTemplateArithmeticOperator::$SubName

Definition at line 878 of file eztemplatearithmeticoperator.php.

## ◆ $SumName

eZTemplateArithmeticOperator::$SumName

Definition at line 877 of file eztemplatearithmeticoperator.php.

The documentation for this class was generated from the following file:

- eztemplatearithmeticoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.